import turtle
import datetime

turtle.setup(400, 300)
turtle.screensize(400, 300)
turtle.bgpic("calpic.png")

i = 0

t = turtle.Turtle()
t.pencolor("white")
t.goto(-100,0)

dt = datetime.datetime.now()
str = dt.strftime("%Y年%m月%d日")
t.write(str,True,font=("Arial", 24, "normal")) 

def display(x,y):
    t.reset()
    t.pencolor("white")
    t.goto(-100,0)

    dt = datetime.datetime.now()

    global i
    i = i+1

    if (i % 3) == 0:
        str = dt.strftime("%Y年%m月%d日")
    elif (i % 3) == 1:
        str = dt.strftime("%Y-%m-%d")
    elif (i % 3) == 2:
        str = dt.strftime("%y/%m/%d %a")

    t.write(str,True,font=("Arial", 24, "normal")) 

turtle.onscreenclick(display)

turtle.done()
