import turtle
import datetime

turtle.setup(400, 300)
turtle.screensize(400, 300)
turtle.bgpic("clockpic.png")

i = 0

t = turtle.Turtle()
t.pencolor("white")
t.goto(-100,0)

dt = datetime.datetime.now()
str = dt.strftime("%H時%M分%S秒")
t.write(str,True,font=("Arial", 24, "normal")) 

def display(x,y):
    global i
    i = i+1

def tick():
    t.undo()

    dt = datetime.datetime.now()

    if (i % 3) == 0:
        str = dt.strftime("%H時%M分%S秒")
    elif (i % 3) == 1:
        str = dt.strftime("%H:%M:%S")
    elif (i % 3) == 2:
        str = dt.strftime("%p %I:%M:%S")

    t.write(str,True,font=("Arial", 24, "normal")) 
    turtle.ontimer(tick, 1000)

turtle.ontimer(tick, 1000)
turtle.onscreenclick(display)

turtle.done()