import tkinter as tk
from tkinter import filedialog
from PIL import Image, ImageTk, ImageFilter

w = 400
h = 300

class SampleApp(tk.Tk):
    def bt_click(self):
        fname = filedialog.askopenfilename()
        self.im = Image.open(fname)
        self.fim = self.im.filter(filter=ImageFilter.SHARPEN)
        self.pim = ImageTk.PhotoImage(image=self.fim)
        self.cn.itemconfig(self.cim,image=self.pim)

    def __init__(self):
        super().__init__()
        self.im = Image.open("pic1.png")
        self.pim = ImageTk.PhotoImage(image=self.im)
        self.cn = tk.Canvas(self, width=w, height=h)
        self.cn.pack()
        self.cim = self.cn.create_image(w/2,h/2, image=self.pim)

        self.bt = tk.Button(self, text="ファイルの選択",command=self.bt_click)
        self.bt.pack()


root = SampleApp()
root.title("サンプル")
root.mainloop()